# Build a CRUD API with Rust and MongoDB

This comprehensive guide will teach you how to build a CRUD (Create, Read, Update, and Delete) API using the Rust programming language and MongoDB as the database. The Rust API will run on a Warp HTTP server and use the MongoDB Rust driver to persist data in a MongoDB database.

![Build a CRUD API with Rust and MongoDB](https://codevoweb.com/wp-content/uploads/2023/01/Build-a-CRUD-API-with-Rust-and-MongoDB.webp)

## Topics Covered

- Run the Rust MongoDB CRUD Project Locally
- Run the Rust API with a Frontend
- Setup the Rust Project
- Setup MongoDB
- Create the Database Model
- Create the API Response Structs
- Create the API Request Structs
- Handle MongoDB and Application Errors
- Create the MongoDB CRUD Functions
    - Connect to the MongoDB Database
    - Convert Document to Struct
    - Perform Multiple READ Operations
    - Perform CREATE Operation
    - Perform Single READ Operation
    - Perform UPDATE Operation
    - Perform DELETE Operation
- Implement the CRUD Functions
    - Retrieve Documents
    - Create a New Document
    - Get a Single Document
    - Edit a Document
    - Delete a Document
- Register the Routes and Add CORS

Read the entire article here: [https://codevoweb.com/build-a-crud-api-with-rust-and-mongodb/](https://codevoweb.com/build-a-crud-api-with-rust-and-mongodb/)

